Subject: Re: missing in stable 4.1.1 - was Re: pull-request: can 2015-06-21

From: Greg KH <[email-masked]>
Date: Tue, 30 Jun 2015 13:07:13 -0700

On Tue, Jun 30, 2015 at 09:31:36PM +0200, Oliver Hartkopp wrote:
> Hello Greg,
> 
> On 23.06.2015 15:43, David Miller wrote:
> >From: Marc Kleine-Budde <[email-masked]>
> >Date: Sun, 21 Jun 2015 19:04:58 +0200
> >
> >>this is a, probably too late, pull request for v4.1.
> >>
> >>Oliver Hartkopp fixed a bug in the generic CAN frame handling code, which may
> >>lead to loss of CAN frames. It was introduced during v4.1 development.
> >>
> >>Please queue via net/master if possible, net-next/master otherwise. I've added
> >>stable on Cc, just in case.
> >
> >Pulled, thanks.
> 
> the patch "can: fix loss of CAN frames in raw_rcv" was sent to stable on
> 2015-06-21 but unfortunately did not find its way into 4.1.1 :-(
> 
> The upstream commit is:
> 
> http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=36c01245eb8046c16eee6431e7dbfbb302635fa8
> 
> which slipped into 4.2 at merge window opening time.
> 
> So it just got lost in the stable queue somehow.

No, it's still there.  I don't queue up patches for a stable release
until they have shown up in a public release from Linus.  So in this
case, it will be elgible to be in a stable kernel after 4.2-rc1 is out.

Unless you tell me otherwise, so if you want this in the next 4.1-stable
release, I can queue it up now.

thanks,

greg k-h